<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HeadersFootersContainer (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HeadersFootersContainer (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HeadersFootersContainer.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/HSLFEscherClientDataRecord.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/HeadersFootersContainer.html" target="_top">Frames</a>
        </li>
        <li><a href="HeadersFootersContainer.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.record</div>
    <h2 title="Class HeadersFootersContainer" class="title">Class HeadersFootersContainer</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                       title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.Record</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                               title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.RecordContainer</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hslf.record.HeadersFootersContainer</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HeadersFootersContainer</span>
extends <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
           title="class in org.apache.poi.hslf.record">RecordContainer</a></pre>
                <div class="block">A container record that specifies information about the footers on a presentation
                    slide.
                    <p>
                        It contains:<br>
            <li> 1. <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html"
                       title="class in org.apache.poi.hslf.record"><code>HeadersFootersAtom</code></a>
            <li> 2. <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                       title="class in org.apache.poi.hslf.record"><code>CString</code></a>, Instance UserDate (0),
                optional: Stores the user's date.
                This is the date that the user wants in the footers, instead of today's date.
            <li> 3. <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                       title="class in org.apache.poi.hslf.record"><code>CString</code></a>, Instance Header (1),
                optional: Stores the Header's contents.
            <li> 4. <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                       title="class in org.apache.poi.hslf.record"><code>CString</code></a>, Instance Footer (2),
                optional: Stores the Footer's contents.
                </p>
    </div>
    <dl>
        <dt><span class="simpleTagLabel">Author:</span></dt>
        <dd>Yegor Kozlov</dd>
    </dl>
    </li>
    </ul>
</div>
<div class="summary">
    <ul class="blockList">
        <li class="blockList">
            <!-- =========== FIELD SUMMARY =========== -->
            <ul class="blockList">
                <li class="blockList"><a name="field.summary">
                    <!--   -->
                </a>
                    <h3>Field Summary</h3>
                    <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Field Summary table, listing fields, and an explanation">
                        <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static int</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#FOOTERATOM">FOOTERATOM</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static int</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#HEADERATOM">HEADERATOM</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static short</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#NotesHeadersFootersContainer">NotesHeadersFootersContainer</a></span></code>
                                <div class="block">"instance" field in the record header indicating that this
                                    HeadersFootersContaine
                                    is applied for notes and handouts
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static short</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#SlideHeadersFootersContainer">SlideHeadersFootersContainer</a></span></code>
                                <div class="block">"instance" field in the record header indicating that this
                                    HeadersFootersContaine
                                    is applied for slides
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static int</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#USERDATEATOM">USERDATEATOM</a></span></code>&nbsp;
                            </td>
                        </tr>
                    </table>
                    <ul class="blockList">
                        <li class="blockList"><a
                                name="fields.inherited.from.class.org.apache.poi.hslf.record.RecordContainer">
                            <!--   -->
                        </a>
                            <h3>Fields inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                    href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                    title="class in org.apache.poi.hslf.record">RecordContainer</a></h3>
                            <code><a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#Z:Z_children">_children</a></code>
                        </li>
                    </ul>
                    <ul class="blockList">
                        <li class="blockList"><a name="fields.inherited.from.class.org.apache.poi.hslf.record.Record">
                            <!--   -->
                        </a>
                            <h3>Fields inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                    href="../../../../../org/apache/poi/hslf/record/Record.html"
                                    title="class in org.apache.poi.hslf.record">Record</a></h3>
                            <code><a
                                    href="../../../../../org/apache/poi/hslf/record/Record.html#logger">logger</a></code>
                        </li>
                    </ul>
                </li>
            </ul>
            <!-- ======== CONSTRUCTOR SUMMARY ======== -->
            <ul class="blockList">
                <li class="blockList"><a name="constructor.summary">
                    <!--   -->
                </a>
                    <h3>Constructor Summary</h3>
                    <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Constructor Summary table, listing constructors, and an explanation">
                        <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier</th>
                            <th class="colLast" scope="col">Constructor and Description</th>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected </code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#HeadersFootersContainer-byte:A-int-int-">HeadersFootersContainer</a></span>(byte[]&nbsp;source,
                                int&nbsp;start,
                                int&nbsp;len)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#HeadersFootersContainer-short-">HeadersFootersContainer</a></span>(short&nbsp;options)</code>&nbsp;
                            </td>
                        </tr>
                    </table>
                </li>
            </ul>
            <!-- ========== METHOD SUMMARY =========== -->
            <ul class="blockList">
                <li class="blockList"><a name="method.summary">
                    <!--   -->
                </a>
                    <h3>Method Summary</h3>
                    <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Method Summary table, listing methods, and an explanation">
                        <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span
                                class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tr id="i0" class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                          title="class in org.apache.poi.hslf.record">CString</a></code>
                            </td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#addFooterAtom--">addFooterAtom</a></span>()</code>
                                <div class="block">Insert a <a
                                        href="../../../../../org/apache/poi/hslf/record/CString.html"
                                        title="class in org.apache.poi.hslf.record"><code>CString</code></a> record that
                                    stores the user's date.
                                </div>
                            </td>
                        </tr>
                        <tr id="i1" class="rowColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                          title="class in org.apache.poi.hslf.record">CString</a></code>
                            </td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#addHeaderAtom--">addHeaderAtom</a></span>()</code>
                                <div class="block">Insert a <a
                                        href="../../../../../org/apache/poi/hslf/record/CString.html"
                                        title="class in org.apache.poi.hslf.record"><code>CString</code></a> record that
                                    stores the user's date.
                                </div>
                            </td>
                        </tr>
                        <tr id="i2" class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                          title="class in org.apache.poi.hslf.record">CString</a></code>
                            </td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#addUserDateAtom--">addUserDateAtom</a></span>()</code>
                                <div class="block">Insert a <a
                                        href="../../../../../org/apache/poi/hslf/record/CString.html"
                                        title="class in org.apache.poi.hslf.record"><code>CString</code></a> record that
                                    stores the user's date.
                                </div>
                            </td>
                        </tr>
                        <tr id="i3" class="rowColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                          title="class in org.apache.poi.hslf.record">CString</a></code>
                            </td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#getFooterAtom--">getFooterAtom</a></span>()</code>
                                <div class="block">A <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                        title="class in org.apache.poi.hslf.record"><code>CString</code></a>
                                    record that stores the Footers's contents.
                                </div>
                            </td>
                        </tr>
                        <tr id="i4" class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                          title="class in org.apache.poi.hslf.record">CString</a></code>
                            </td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#getHeaderAtom--">getHeaderAtom</a></span>()</code>
                                <div class="block">A <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                        title="class in org.apache.poi.hslf.record"><code>CString</code></a>
                                    record that stores the Header's contents.
                                </div>
                            </td>
                        </tr>
                        <tr id="i5" class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html"
                                    title="class in org.apache.poi.hslf.record">HeadersFootersAtom</a></code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#getHeadersFootersAtom--">getHeadersFootersAtom</a></span>()</code>
                                <div class="block">HeadersFootersAtom stores the basic information of the header and
                                    footer structure.
                                </div>
                            </td>
                        </tr>
                        <tr id="i6" class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#getOptions--">getOptions</a></span>()</code>
                                <div class="block">Must be either <a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#SlideHeadersFootersContainer"><code>SlideHeadersFootersContainer</code></a>
                                    or
                                    <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#NotesHeadersFootersContainer"><code>NotesHeadersFootersContainer</code></a>
                                </div>
                            </td>
                        </tr>
                        <tr id="i7" class="rowColor">
                            <td class="colFirst"><code>long</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#getRecordType--">getRecordType</a></span>()</code>
                                <div class="block">Return the type, which is <code><a
                                        href="../../../../../org/apache/poi/hslf/record/RecordTypes.html#HeadersFooters"><code>RecordTypes.HeadersFooters</code></a></code>
                                </div>
                            </td>
                        </tr>
                        <tr id="i8" class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                          title="class in org.apache.poi.hslf.record">CString</a></code>
                            </td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#getUserDateAtom--">getUserDateAtom</a></span>()</code>
                                <div class="block">A <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                        title="class in org.apache.poi.hslf.record"><code>CString</code></a>
                                    record that stores the user's date.
                                </div>
                            </td>
                        </tr>
                        <tr id="i9" class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#writeOut-java.io.OutputStream-">writeOut</a></span>(java.io.OutputStream&nbsp;out)</code>
                                <div class="block">Write the contents of the record back, so it can be written to disk
                                </div>
                            </td>
                        </tr>
                    </table>
                    <ul class="blockList">
                        <li class="blockList"><a
                                name="methods.inherited.from.class.org.apache.poi.hslf.record.RecordContainer">
                            <!--   -->
                        </a>
                            <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                    href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                    title="class in org.apache.poi.hslf.record">RecordContainer</a></h3>
                            <code><a
                                    href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#addChildAfter-org.apache.poi.hslf.record.Record-org.apache.poi.hslf.record.Record-">addChildAfter</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#addChildBefore-org.apache.poi.hslf.record.Record-org.apache.poi.hslf.record.Record-">addChildBefore</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#appendChildRecord-org.apache.poi.hslf.record.Record-">appendChildRecord</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#findFirstOfType-long-">findFirstOfType</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#getChildRecords--">getChildRecords</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#handleParentAwareRecords-org.apache.poi.hslf.record.RecordContainer-">handleParentAwareRecords</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#isAnAtom--">isAnAtom</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#moveChildBefore-org.apache.poi.hslf.record.Record-org.apache.poi.hslf.record.Record-">moveChildBefore</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#moveChildrenAfter-org.apache.poi.hslf.record.Record-int-org.apache.poi.hslf.record.Record-">moveChildrenAfter</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#moveChildrenBefore-org.apache.poi.hslf.record.Record-int-org.apache.poi.hslf.record.Record-">moveChildrenBefore</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#removeChild-org.apache.poi.hslf.record.Record-">removeChild</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#setChildRecord-org.apache.poi.hslf.record.Record:A-">setChildRecord</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#writeOut-byte-byte-long-org.apache.poi.hslf.record.Record:A-java.io.OutputStream-">writeOut</a></code>
                        </li>
                    </ul>
                    <ul class="blockList">
                        <li class="blockList"><a name="methods.inherited.from.class.org.apache.poi.hslf.record.Record">
                            <!--   -->
                        </a>
                            <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                    href="../../../../../org/apache/poi/hslf/record/Record.html"
                                    title="class in org.apache.poi.hslf.record">Record</a></h3>
                            <code><a
                                    href="../../../../../org/apache/poi/hslf/record/Record.html#buildRecordAtOffset-byte:A-int-">buildRecordAtOffset</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/Record.html#createRecordForType-long-byte:A-int-int-">createRecordForType</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/Record.html#findChildRecords-byte:A-int-int-">findChildRecords</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-int-java.io.OutputStream-">writeLittleEndian</a>,
                                <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-short-java.io.OutputStream-">writeLittleEndian</a></code>
                        </li>
                    </ul>
                    <ul class="blockList">
                        <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                            <!--   -->
                        </a>
                            <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                            <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait,
                                wait</code></li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
</div>
<div class="details">
    <ul class="blockList">
        <li class="blockList">
            <!-- ============ FIELD DETAIL =========== -->
            <ul class="blockList">
                <li class="blockList"><a name="field.detail">
                    <!--   -->
                </a>
                    <h3>Field Detail</h3>
                    <a name="SlideHeadersFootersContainer">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>SlideHeadersFootersContainer</h4>
                            <pre>public static final&nbsp;short SlideHeadersFootersContainer</pre>
                            <div class="block">"instance" field in the record header indicating that this
                                HeadersFootersContaine
                                is applied for slides
                            </div>
                            <dl>
                                <dt><span class="seeLabel">See Also:</span></dt>
                                <dd>
                                    <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.HeadersFootersContainer.SlideHeadersFootersContainer">Constant
                                        Field Values</a></dd>
                            </dl>
                        </li>
                    </ul>
                    <a name="NotesHeadersFootersContainer">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>NotesHeadersFootersContainer</h4>
                            <pre>public static final&nbsp;short NotesHeadersFootersContainer</pre>
                            <div class="block">"instance" field in the record header indicating that this
                                HeadersFootersContaine
                                is applied for notes and handouts
                            </div>
                            <dl>
                                <dt><span class="seeLabel">See Also:</span></dt>
                                <dd>
                                    <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.HeadersFootersContainer.NotesHeadersFootersContainer">Constant
                                        Field Values</a></dd>
                            </dl>
                        </li>
                    </ul>
                    <a name="USERDATEATOM">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>USERDATEATOM</h4>
                            <pre>public static final&nbsp;int USERDATEATOM</pre>
                            <dl>
                                <dt><span class="seeLabel">See Also:</span></dt>
                                <dd>
                                    <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.HeadersFootersContainer.USERDATEATOM">Constant
                                        Field Values</a></dd>
                            </dl>
                        </li>
                    </ul>
                    <a name="HEADERATOM">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>HEADERATOM</h4>
                            <pre>public static final&nbsp;int HEADERATOM</pre>
                            <dl>
                                <dt><span class="seeLabel">See Also:</span></dt>
                                <dd>
                                    <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.HeadersFootersContainer.HEADERATOM">Constant
                                        Field Values</a></dd>
                            </dl>
                        </li>
                    </ul>
                    <a name="FOOTERATOM">
                        <!--   -->
                    </a>
                    <ul class="blockListLast">
                        <li class="blockList">
                            <h4>FOOTERATOM</h4>
                            <pre>public static final&nbsp;int FOOTERATOM</pre>
                            <dl>
                                <dt><span class="seeLabel">See Also:</span></dt>
                                <dd>
                                    <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.HeadersFootersContainer.FOOTERATOM">Constant
                                        Field Values</a></dd>
                            </dl>
                        </li>
                    </ul>
                </li>
            </ul>
            <!-- ========= CONSTRUCTOR DETAIL ======== -->
            <ul class="blockList">
                <li class="blockList"><a name="constructor.detail">
                    <!--   -->
                </a>
                    <h3>Constructor Detail</h3>
                    <a name="HeadersFootersContainer-byte:A-int-int-">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>HeadersFootersContainer</h4>
                            <pre>protected&nbsp;HeadersFootersContainer(byte[]&nbsp;source,
                                  int&nbsp;start,
                                  int&nbsp;len)</pre>
                        </li>
                    </ul>
                    <a name="HeadersFootersContainer-short-">
                        <!--   -->
                    </a>
                    <ul class="blockListLast">
                        <li class="blockList">
                            <h4>HeadersFootersContainer</h4>
                            <pre>public&nbsp;HeadersFootersContainer(short&nbsp;options)</pre>
                        </li>
                    </ul>
                </li>
            </ul>
            <!-- ============ METHOD DETAIL ========== -->
            <ul class="blockList">
                <li class="blockList"><a name="method.detail">
                    <!--   -->
                </a>
                    <h3>Method Detail</h3>
                    <a name="getRecordType--">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>getRecordType</h4>
                            <pre>public&nbsp;long&nbsp;getRecordType()</pre>
                            <div class="block">Return the type, which is <code><a
                                    href="../../../../../org/apache/poi/hslf/record/RecordTypes.html#HeadersFooters"><code>RecordTypes.HeadersFooters</code></a></code>
                            </div>
                            <dl>
                                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                <dd><code><a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html#getRecordType--">getRecordType</a></code>&nbsp;in
                                    class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                        title="class in org.apache.poi.hslf.record">Record</a></code>
                                </dd>
                            </dl>
                        </li>
                    </ul>
                    <a name="getOptions--">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>getOptions</h4>
                            <pre>public&nbsp;int&nbsp;getOptions()</pre>
                            <div class="block">Must be either <a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#SlideHeadersFootersContainer"><code>SlideHeadersFootersContainer</code></a>
                                or
                                <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html#NotesHeadersFootersContainer"><code>NotesHeadersFootersContainer</code></a>
                            </div>
                            <dl>
                                <dt><span class="returnLabel">Returns:</span></dt>
                                <dd>"instance" field in the record header</dd>
                            </dl>
                        </li>
                    </ul>
                    <a name="writeOut-java.io.OutputStream-">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>writeOut</h4>
                            <pre>public&nbsp;void&nbsp;writeOut(java.io.OutputStream&nbsp;out)
              throws java.io.IOException</pre>
                            <div class="block">Write the contents of the record back, so it can be written to disk</div>
                            <dl>
                                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                <dd><code><a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html#writeOut-java.io.OutputStream-">writeOut</a></code>&nbsp;in
                                    class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                        title="class in org.apache.poi.hslf.record">Record</a></code>
                                </dd>
                                <dt><span class="throwsLabel">Throws:</span></dt>
                                <dd><code>java.io.IOException</code></dd>
                            </dl>
                        </li>
                    </ul>
                    <a name="getHeadersFootersAtom--">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>getHeadersFootersAtom</h4>
                            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html"
                                                title="class in org.apache.poi.hslf.record">HeadersFootersAtom</a>&nbsp;getHeadersFootersAtom()</pre>
                            <div class="block">HeadersFootersAtom stores the basic information of the header and footer
                                structure.
                            </div>
                            <dl>
                                <dt><span class="returnLabel">Returns:</span></dt>
                                <dd><code>HeadersFootersAtom</code></dd>
                            </dl>
                        </li>
                    </ul>
                    <a name="getUserDateAtom--">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>getUserDateAtom</h4>
                            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                title="class in org.apache.poi.hslf.record">CString</a>&nbsp;getUserDateAtom()</pre>
                            <div class="block">A <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                    title="class in org.apache.poi.hslf.record"><code>CString</code></a>
                                record that stores the user's date.
                                <p>This is the date that the user wants in the footers, instead of today's date.</p>
                            </div>
                            <dl>
                                <dt><span class="returnLabel">Returns:</span></dt>
                                <dd>A <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                         title="class in org.apache.poi.hslf.record"><code>CString</code></a> record
                                    that stores the user's date or <code>null</code></dd>
                            </dl>
                        </li>
                    </ul>
                    <a name="getHeaderAtom--">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>getHeaderAtom</h4>
                            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                title="class in org.apache.poi.hslf.record">CString</a>&nbsp;getHeaderAtom()</pre>
                            <div class="block">A <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                    title="class in org.apache.poi.hslf.record"><code>CString</code></a>
                                record that stores the Header's contents.
                            </div>
                            <dl>
                                <dt><span class="returnLabel">Returns:</span></dt>
                                <dd>A <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                         title="class in org.apache.poi.hslf.record"><code>CString</code></a> record
                                    that stores the Header's contents or <code>null</code></dd>
                            </dl>
                        </li>
                    </ul>
                    <a name="getFooterAtom--">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>getFooterAtom</h4>
                            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                title="class in org.apache.poi.hslf.record">CString</a>&nbsp;getFooterAtom()</pre>
                            <div class="block">A <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                    title="class in org.apache.poi.hslf.record"><code>CString</code></a>
                                record that stores the Footers's contents.
                            </div>
                            <dl>
                                <dt><span class="returnLabel">Returns:</span></dt>
                                <dd>A <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                         title="class in org.apache.poi.hslf.record"><code>CString</code></a> record
                                    that stores the Footers's contents or <code>null</code></dd>
                            </dl>
                        </li>
                    </ul>
                    <a name="addUserDateAtom--">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>addUserDateAtom</h4>
                            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                title="class in org.apache.poi.hslf.record">CString</a>&nbsp;addUserDateAtom()</pre>
                            <div class="block">Insert a <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                           title="class in org.apache.poi.hslf.record"><code>CString</code></a>
                                record that stores the user's date.
                            </div>
                            <dl>
                                <dt><span class="returnLabel">Returns:</span></dt>
                                <dd>the created <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                   title="class in org.apache.poi.hslf.record"><code>CString</code></a>
                                    record that stores the user's date.
                                </dd>
                            </dl>
                        </li>
                    </ul>
                    <a name="addHeaderAtom--">
                        <!--   -->
                    </a>
                    <ul class="blockList">
                        <li class="blockList">
                            <h4>addHeaderAtom</h4>
                            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                title="class in org.apache.poi.hslf.record">CString</a>&nbsp;addHeaderAtom()</pre>
                            <div class="block">Insert a <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                           title="class in org.apache.poi.hslf.record"><code>CString</code></a>
                                record that stores the user's date.
                            </div>
                            <dl>
                                <dt><span class="returnLabel">Returns:</span></dt>
                                <dd>the created <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                   title="class in org.apache.poi.hslf.record"><code>CString</code></a>
                                    record that stores the user's date.
                                </dd>
                            </dl>
                        </li>
                    </ul>
                    <a name="addFooterAtom--">
                        <!--   -->
                    </a>
                    <ul class="blockListLast">
                        <li class="blockList">
                            <h4>addFooterAtom</h4>
                            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                title="class in org.apache.poi.hslf.record">CString</a>&nbsp;addFooterAtom()</pre>
                            <div class="block">Insert a <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                           title="class in org.apache.poi.hslf.record"><code>CString</code></a>
                                record that stores the user's date.
                            </div>
                            <dl>
                                <dt><span class="returnLabel">Returns:</span></dt>
                                <dd>the created <a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                                   title="class in org.apache.poi.hslf.record"><code>CString</code></a>
                                    record that stores the user's date.
                                </dd>
                            </dl>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HeadersFootersContainer.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/HSLFEscherClientDataRecord.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/HeadersFootersContainer.html" target="_top">Frames</a>
        </li>
        <li><a href="HeadersFootersContainer.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
